gstreamermm: Gst::AudioConvert Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::AudioConvert Class Reference
[gstreamermm Plugins]

A Wrapper for the audioconvert plugin. More...

Inherits Gst::BaseTransform.

Collaboration diagram for Gst::AudioConvert:
[legend]

List of all members.

## Public Member Functions
virtual | ~AudioConvert ()
GstAudioConvert* | gobj ()
| Provides access to the underlying C GObject.
const GstAudioConvert* | gobj () const
| Provides access to the underlying C GObject.
GstAudioConvert* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Gst::AudioConvertDithering > | property_dithering ()
| Selects between different dithering methods.
Glib::PropertyProxy_ReadOnly < Gst::AudioConvertDithering > | property_dithering () const
| Selects between different dithering methods.
Glib::PropertyProxy < Gst::AudioConvertNoiseShaping > | property_noise_shaping ()
| Selects between different noise shaping methods.
Glib::PropertyProxy_ReadOnly < Gst::AudioConvertNoiseShaping > | property_noise_shaping () const
| Selects between different noise shaping methods.
## Static Public Member Functions
static Glib::RefPtr< AudioConvert > | create ()
| Creates a new audioconvert plugin with a unique name.
static Glib::RefPtr< AudioConvert > | create (const Glib::ustring& name)
| Creates a new audioconvert plugin with the given name.
## Protected Member Functions
| AudioConvert ()
| AudioConvert (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AudioConvert > | wrap (GstAudioConvert* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the audioconvert plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AudioConvert::~AudioConvert | ( |  | ) | `[virtual]`

Gst::AudioConvert::AudioConvert | ( |  | ) | `[protected]`

Gst::AudioConvert::AudioConvert | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AudioConvert> Gst::AudioConvert::create | ( |  | ) | `[static]`

Creates a new audioconvert plugin with a unique name.

static Glib::RefPtr<AudioConvert> Gst::AudioConvert::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new audioconvert plugin with the given name.

const GstAudioConvert* Gst::AudioConvert::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstAudioConvert* Gst::AudioConvert::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::BaseTransform.

GstAudioConvert* Gst::AudioConvert::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::BaseTransform.

Glib::PropertyProxy_ReadOnly<Gst::AudioConvertDithering> Gst::AudioConvert::property_dithering | ( |  | ) | const

Selects between different dithering methods.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::AudioConvertDithering> Gst::AudioConvert::property_dithering | ( |  | ) |

Selects between different dithering methods.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gst::AudioConvertNoiseShaping> Gst::AudioConvert::property_noise_shaping | ( |  | ) | const

Selects between different noise shaping methods.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gst::AudioConvertNoiseShaping> Gst::AudioConvert::property_noise_shaping | ( |  | ) |

Selects between different noise shaping methods.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AudioConvert > wrap | ( | GstAudioConvert * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/audioconvert.h